part of YIM;

class _YIMUtilsManager {
  _YIMUtilsManager._internal();

  static final _ = _YIMUtilsManager._internal();

  factory _YIMUtilsManager() => _;

  String? getConversationIDByMessage(YIMMessage? message) {
    if (message == null) return null;
    switch (message.conversationType) {
      case YIMEnum_ConversationType.P2P:
        return message.from == _YIMSDK.currentUser ? message.to : message.from;
      case YIMEnum_ConversationType.Team:
        return message.to;
      case YIMEnum_ConversationType.ChatRoom:
        return message.to;
    }
  }
}
