part of YIM;

class _YIMUtils {
  static final brString = "<<<《《《NNN_YBR_NNN》》》>>>";
  static final tabString = "<<<《《《TTT_YTab_TTT》》》>>>";
  static final unicodeString = "<<<《《《UUU_YUNICODE_UUU》》》>>>";

  ///字典转json
  String toJson(Object obj) {
    var jsonStr = json.encode(obj).replaceAll("\"{", "{").replaceAll("}\"", "}");
    var containsBR = jsonStr.contains("\\n");
    var containsTab = jsonStr.contains("\\t");
    var containsUnicode = jsonStr.contains("\\u");
    if (containsBR) jsonStr = jsonStr.replaceAll("\\n", brString);
    if (containsTab) jsonStr = jsonStr.replaceAll("\\t", tabString);
    if (containsUnicode) jsonStr = jsonStr.replaceAll("\\u", unicodeString);
    jsonStr = jsonStr.replaceAll("\\", "");
    if (containsBR) jsonStr = jsonStr.replaceAll(brString, "\\n");
    if (containsTab) jsonStr = jsonStr.replaceAll(tabString, "\\t");
    if (containsUnicode) jsonStr = jsonStr.replaceAll(unicodeString, "\\u");
    return jsonStr;
  }

  void yimLog(String content) {
    if (_YIMSDK.config.debug) debugPrint("[YIMLog]: $content");
  }
}
